Search processing.org:

Reference for Processing version 1.0.1+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Name

### /** */ (doc comment)

Examples

    /**
       Draws two lines which divides the window
       into four quadrants. First draws a horizontal
       line and then the vertical line
    */
    line(0, 50, 100, 50);
    line(50, 0, 50, 100);

Description | Explanatory notes embedded within the code and written to the "index.html" file created when the code is exported. Doc comments (documentation comments) are used for sharing a description of your sketch when the program is exported. Export the code by hitting the "Export" button on the Toolbar.

Syntax

    /**
      comment
    */

Parameters

comment | any sequence of characters

Usage | Web & Application
Related | // (comment) /* */ (multiline comment)

Updated on November 22, 2008 08:39:25pm PST